net.fortuna.ical4j.model

## Interface ParameterFactory

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  ParameterFactoryImpl, ParameterFactoryRegistry

    public interface ParameterFactory
    extends Serializable

Implementors provide parameter creation services. Note that implementations must be `Serializable` to support referencing from `Parameter` instances.

Author:
  Ben Fortuna $Id$ [05-Apr-2004] Created on 14/06/2005

### Method Summary

Methods
`Parameter` `createParameter(String name, String value)` Returns a parameter instance of the appropriate type with the specified value.

### Method Detail

#### createParameter

    Parameter createParameter(String name,
                            String value)
                              throws URISyntaxException

Returns a parameter instance of the appropriate type with the specified value.

Parameters:
  `name` - a parameter names that identifies the parameter type
  `value` - a value to assign to the returned parameter
Returns:
  a parameter instance, or null if this factory is unable to create an appropriate parameter
Throws:
  `URISyntaxException` - where an invalid URI is encountered